StringUtils (JFtp)
Date: 2016-03-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jftp.system
Class StringUtils

    java.lang.Object
      net.sf.jftp.system.StringUtils

    public class StringUtils

extends java.lang.Object

Constructor Summary
`StringUtils()`

Method Summary
`static java.lang.String` | `contains(java.lang.String[] tmp, java.lang.String[] str)` Used to search for return codes in a string array.
`static java.lang.String` | `cut(java.lang.String tmp, java.lang.String where)`
`static java.lang.String` | `cutAfter(java.lang.String str, char c)` Returns the rest of a string after a given character
`static java.lang.String` | `cutPath(java.lang.String s)` Makes a (path) string shorter to get it displayed correctly
`static java.lang.String` | `getDir(java.lang.String tmp)` Returns a string representing a relative directory path.
`static java.lang.String` | `getFile(java.lang.String file)` Get a filename out of a full path string
`static boolean` | `isRelative(java.lang.String file)`
`static void` | `main(java.lang.String[] argv)` Main method containing a few testcases for getFile() / isRelative()
`static java.lang.String` | `removeStart(java.lang.String str, java.lang.String what)` Removes the a string at the beginning of a string
`static java.lang.String` | `string(char c)` Returns a string representing a given character
`static boolean` | `strstr(java.lang.String tmp, char str)` Returns true if the given string contains the given character

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringUtils

    public StringUtils()

Method Detail

### cutPath

    public static java.lang.String cutPath(java.lang.String s)

  Makes a (path) string shorter to get it displayed correctly

### removeStart

    public static java.lang.String removeStart(java.lang.String str,
                                               java.lang.String what)

  Removes the a string at the beginning of a string

### cutAfter

    public static java.lang.String cutAfter(java.lang.String str,
                                            char c)

  Returns the rest of a string after a given character

### contains

    public static java.lang.String contains(java.lang.String[] tmp,
                                            java.lang.String[] str)

  Used to search for return codes in a string array. Returns the first one found

### strstr

    public static boolean strstr(java.lang.String tmp,
                                 char str)

  Returns true if the given string contains the given character

### string

    public static java.lang.String string(char c)

  Returns a string representing a given character

### getFile

    public static java.lang.String getFile(java.lang.String file)

  Get a filename out of a full path string

### getDir

    public static java.lang.String getDir(java.lang.String tmp)

  Returns a string representing a relative directory path. Examples: "/tmp/dir/" -> "dir/" and "/tmp/dir" -> "dir"

### isRelative

    public static boolean isRelative(java.lang.String file)

### main

    public static void main(java.lang.String[] argv)

  Main method containing a few testcases for getFile() / isRelative()

### cut

    public static java.lang.String cut(java.lang.String tmp,
                                       java.lang.String where)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD